Public Class cmtile
    Private player12 As New MediaPlayer()
    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Dim newhub As New Currency_manager
        newhub.Show()
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            cmt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        cm_saldo_.Content = "€" & My.Settings.CM_SALDO

        Dim colortile234Timer = New System.Windows.Threading.DispatcherTimer()
        AddHandler colortile234Timer.Tick, AddressOf colortile234Timer_Tick
        colortile234Timer.Interval = New TimeSpan(0, 0, 1)
        colortile234Timer.Start()
    End Sub

    Private Sub colortile234Timer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            cmt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub PlayAccentSound()
        Try
            player12.Volume = 1.0
            player12.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player12.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
